<app-search-bar (searchChanged)="onSearchChange($event)"></app-search-bar>
<div class="container">
  <ul>

    <app-pokemon-list-item
      [pokemon]="poke" *ngFor="let poke of getPokemon()"
      (pokemonClicked)="onPokemonClick($event)"></app-pokemon-list-item>

  </ul>
</div>

<footer class="pagination" *ngIf="currentPage !== totalPages">
  <p *ngIf="isLoading">Loading...</p>

  <button (click)="onPrevClick()" [disabled]="currentPage === 1">Prev</button>&nbsp;
  <button (click)="onNextClick()">Next</button>

  <p>Page {{ currentPage }} of {{ totalPages }}</p>
</footer>

